import { write } from '../helpers';
import { CreditJSON, CreditTypes } from '../types';

function writeCreditsMD(filePath: string, credits: CreditJSON[]) {
  const header =
    '# Acknowledgments and credits\n\nThese open source libraries, tools, assets are used in this project.\n\nAutogenerated by [acknowledgements](https://github.com/Clembs/acknowledgements).\n';

  const markdown = `${header}
  | Name          | License |
  | ------------- | ------- |
  ${credits
    .map((c) => {
      if (c.type === CreditTypes.Dependency) {
        return `| [${c.name}](${c.url}) | ${c.license} |`;
      } else {
        return `| [${c.name}](${c.url}) |   |`;
      }
    })
    .join('\n')}
  `;

  write(filePath, markdown);
}

export default writeCreditsMD;
